#!/bin/bash

export LD_LIBRARY_PATH=`pwd`/lib
export SANE_CONFIG_DIR=`pwd`/etc/sane.d

#define DBG_error0      0	/* errors/warnings printed even with devuglevel 0 */
#define DBG_error       1	/* fatal errors */
#define DBG_init        2	/* initialization and scanning time messages */
#define DBG_warn        3	/* warnings and non-fatal errors */
#define DBG_info        4	/* informational messages */
#define DBG_proc        5	/* starting/finishing functions */
#define DBG_io          6	/* io functions */
#define DBG_io2         7	/* io functions that are called very often */
#define DBG_data        8	/* log image data */
export SANE_DEBUG_GENESYS=255
export SANE_DEBUG_GENESYS_LOW=255
export SANE_DEBUG_GENESYS_GL847=255

# Search for scanners.
DIRNAME=test_`date +%Y-%m-%d_%H:%M:%S`
mkdir $DIRNAME
cd $DIRNAME
../bin/sane-find-scanner -vvv 2>/dev/null | grep "found USB scanner" | tee log.txt
../bin/scanimage -L | tee -a log.txt
../bin/scanimage --resolution 75 -x 50 -y 50 --format=tiff 3>&1 >image.tiff 2>&3 3>&- | tee -a log.txt
cd ..
